ListPermissionsStatement (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.statements

## Class ListPermissionsStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthorizationStatement
    - - org.apache.cassandra.cql3.statements.ListPermissionsStatement

- All Implemented Interfaces:
    CQLStatement

      public class ListPermissionsStatement
      extends AuthorizationStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<Permission>` | `permissions`
    `protected boolean` | `recursive`
    `protected IResource` | `resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListPermissionsStatement(java.util.Set<Permission> permissions, IResource resource, RoleName grantee, boolean recursive)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
    `ResultMessage` | `execute(ClientState state)`
    `void` | `validate(ClientState state)` Perform additional validation required by the statment.

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.AuthorizationStatement

      `execute, executeInternal, getBoundTerms, maybeCorrectResource, prepare`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

      `getFunctions`

- - ### Field Detail

    - #### permissions

          protected final java.util.Set<Permission> permissions

    - #### resource

          protected IResource resource

    - #### recursive

          protected final boolean recursive

  - ### Constructor Detail

    - #### ListPermissionsStatement

          public ListPermissionsStatement(java.util.Set<Permission> permissions,
                                          IResource resource,
                                          RoleName grantee,
                                          boolean recursive)

  - ### Method Detail

    - #### validate

          public void validate(ClientState state)
                        throws RequestValidationException

      Description copied from interface: `CQLStatement`
      Perform additional validation required by the statment. To be overriden by subclasses if needed.
      Parameters:
        `state` - the current client state
      Throws:
        `RequestValidationException`

    - #### checkAccess

          public void checkAccess(ClientState state)

      Description copied from interface: `CQLStatement`
      Perform any access verification necessary for the statement.
      Parameters:
        `state` - the current client state

    - #### execute

          public ResultMessage execute(ClientState state)
                                throws RequestValidationException,
                                       RequestExecutionException

      Specified by:
        `execute` in class `AuthorizationStatement`
      Throws:
        `RequestValidationException`
        `RequestExecutionException`

Copyright © 2018 The Apache Software Foundation